<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DeferredEvent Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d67/class_deferred_event.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DeferredEvent Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DeferredEvent:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/d67/class_deferred_event.png" usemap="#DeferredEvent_map" alt=""/>
  <map id="DeferredEvent_map" name="DeferredEvent_map">
<area href="../../d3/d2a/class_day_z_player_inventory.html" alt="DayZPlayerInventory" shape="rect" coords="0,56,134,80"/>
<area href="../../d0/d6c/class_deferred_hand_event.html" alt="DeferredHandEvent" shape="rect" coords="144,56,278,80"/>
<area href="../../de/d96/class_deferred_swap_entities.html" alt="DeferredSwapEntities" shape="rect" coords="288,56,422,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a38c0f33382717094e7c422bea2bf1005"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d67/class_deferred_event.html#a38c0f33382717094e7c422bea2bf1005">ReserveInventory</a> (<a class="el" href="../../d8/d86/class_human_inventory.html">HumanInventory</a> inventory)</td></tr>
<tr class="separator:a38c0f33382717094e7c422bea2bf1005"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaef0bb5291bd76581f78c5c9bad70338"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d67/class_deferred_event.html#aaef0bb5291bd76581f78c5c9bad70338">ClearInventoryReservation</a> (<a class="el" href="../../d8/d86/class_human_inventory.html">HumanInventory</a> inventory)</td></tr>
<tr class="separator:aaef0bb5291bd76581f78c5c9bad70338"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:acef792d62d863f97727d8c428a721daa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a5073c77c5d68882860f688a9fc4cba4d">InventoryMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d67/class_deferred_event.html#acef792d62d863f97727d8c428a721daa">m_mode</a></td></tr>
<tr class="separator:acef792d62d863f97727d8c428a721daa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../da/ddc/_day_z_player_inventory_8c_source.html#l00002">2</a> of file <a class="el" href="../../da/ddc/_day_z_player_inventory_8c_source.html">DayZPlayerInventory.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aaef0bb5291bd76581f78c5c9bad70338" name="aaef0bb5291bd76581f78c5c9bad70338"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaef0bb5291bd76581f78c5c9bad70338">&#9670;&#160;</a></span>ClearInventoryReservation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DeferredEvent::ClearInventoryReservation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d86/class_human_inventory.html">HumanInventory</a>&#160;</td>
          <td class="paramname"><em>inventory</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/ddc/_day_z_player_inventory_8c_source.html#l00006">6</a> of file <a class="el" href="../../da/ddc/_day_z_player_inventory_8c_source.html">DayZPlayerInventory.c</a>.</p>

</div>
</div>
<a id="a38c0f33382717094e7c422bea2bf1005" name="a38c0f33382717094e7c422bea2bf1005"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38c0f33382717094e7c422bea2bf1005">&#9670;&#160;</a></span>ReserveInventory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DeferredEvent::ReserveInventory </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d86/class_human_inventory.html">HumanInventory</a>&#160;</td>
          <td class="paramname"><em>inventory</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/ddc/_day_z_player_inventory_8c_source.html#l00005">5</a> of file <a class="el" href="../../da/ddc/_day_z_player_inventory_8c_source.html">DayZPlayerInventory.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="acef792d62d863f97727d8c428a721daa" name="acef792d62d863f97727d8c428a721daa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acef792d62d863f97727d8c428a721daa">&#9670;&#160;</a></span>m_mode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a5073c77c5d68882860f688a9fc4cba4d">InventoryMode</a> DeferredEvent::m_mode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/ddc/_day_z_player_inventory_8c_source.html#l00004">4</a> of file <a class="el" href="../../da/ddc/_day_z_player_inventory_8c_source.html">DayZPlayerInventory.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Systems/Inventory/<a class="el" href="../../da/ddc/_day_z_player_inventory_8c_source.html">DayZPlayerInventory.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/d67/class_deferred_event.html">DeferredEvent</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
